<template>
  <mt-connexion-template>
    <template v-slot:partie-droite>
      <section v-if="!errorToken">
        <h2>Vos informations personnelles ont bien été modifiées</h2>

        <p class="has-text-left">
          À bientôt, <br />
          L’équipe METIIS.
        </p>

        <b-button class="button mt-button is-size-7 is-primary has-text-weight-semibold" @click="logout"
          >Retour à la page d'accueil</b-button
        >
      </section>
      <section v-if="errorToken">
        <h2>Cette demande a expiré :'(</h2>

        <p>Vous n'aviez que <b>24 heures</b> pour valider vos modifications d'informations personnelles.</p>
        <p>Vous pouvez renouveller votre demande depuis la page :</p>
        <p>"Mon compte > Modifier mes informations".</p>
        <br />
        <p class="has-text-left">
          À bientôt, <br />
          L’équipe METIIS.
        </p>

        <nuxt-link :to="{ name: 'connexion' }" class="button mt-button is-size-7 is-primary"
          >Retour à la page d'accueil</nuxt-link
        >
      </section>
    </template>
  </mt-connexion-template>
</template>

<script>
import MtConnexionTemplate from '~/components/connexion/connexion-template';

export default {
  layout: 'simple',
  auth: false,
  components: {
    MtConnexionTemplate,
  },
  async asyncData({ $api, params }) {
    let errorToken;
    try {
      await $api.utilisateurs.getModifInfosPerso(params.token);
    } catch ({
      response: {
        status,
        data: { message },
      },
    }) {
      errorToken = { status, message };
    }
    return {
      errorToken,
    };
  },
  methods: {
    logout() {
      try {
        this.$auth.logout();
      } finally {
        this.$router.push('/connexion');
      }
    },
  },
};
</script>
